IP subnet calculator
Type an address with its prefix or mask to see the network, its usable range and masks. Split it into smaller subnets, or look up any prefix in the reference tables.
Network10.0.0.0/11
Usable hosts2,097,150
Subnet mask255.224.0.0
Addresses2,097,152
- Network address
10.0.0.0- Broadcast address
10.31.255.255- First usable
10.0.0.1- Last usable
10.31.255.254- Usable hosts
- 2,097,150 (2,097,152 less the network and broadcast addresses)
- Subnet mask
255.224.0.0- Wildcard mask
0.31.255.255(Cisco ACLs, OSPF)- Prefix length
- /11
- Type
- Private (RFC 1918) 10.0.0.0/8
Office and home networks; not routed on the internet - Old class
- A (default /8)
- As numbers
- Hex
0A000000· Integer167772160to169869311 - Reverse DNS zones
0.10.in-addr.arpa1.10.in-addr.arpa2.10.in-addr.arpa3.10.in-addr.arpa4.10.in-addr.arpa5.10.in-addr.arpa6.10.in-addr.arpa7.10.in-addr.arpa8.10.in-addr.arpa9.10.in-addr.arpa10.10.in-addr.arpa11.10.in-addr.arpa12.10.in-addr.arpa13.10.in-addr.arpa14.10.in-addr.arpa15.10.in-addr.arpa
and 16 more
/11 is not on a 8-bit boundary, so it takes 32 /16 zones.
Binary
| Binary (network bits bold, host bits grey) | Dotted | |
|---|---|---|
| Address | 00001010.00000000.00000000.00000000 | 10.0.0.0 |
| Subnet mask | 11111111.11100000.00000000.00000000 | 255.224.0.0 |
| Network | 00001010.00000000.00000000.00000000 | 10.0.0.0 |
| Broadcast | 00001010.00011111.11111111.11111111 | 10.31.255.255 |
Split into smaller subnets
/12 (2)/13 (4)/14 (8)/15 (16)/16 (32)/17 (64)/18 (128)/19 (256)/20 (512)/21 (1,024)/22 (2,048)/23 (4,096)
10.0.0.0/11 makes 2,048 subnets of /22; the first 256 are listed.
| # | Subnet | Usable hosts range | Broadcast | Hosts |
|---|---|---|---|---|
| 1 | 10.0.0.0/22 | 10.0.0.1 to 10.0.3.254 | 10.0.3.255 | 1,022 |
| 2 | 10.0.4.0/22 | 10.0.4.1 to 10.0.7.254 | 10.0.7.255 | 1,022 |
| 3 | 10.0.8.0/22 | 10.0.8.1 to 10.0.11.254 | 10.0.11.255 | 1,022 |
| 4 | 10.0.12.0/22 | 10.0.12.1 to 10.0.15.254 | 10.0.15.255 | 1,022 |
| 5 | 10.0.16.0/22 | 10.0.16.1 to 10.0.19.254 | 10.0.19.255 | 1,022 |
| 6 | 10.0.20.0/22 | 10.0.20.1 to 10.0.23.254 | 10.0.23.255 | 1,022 |
| 7 | 10.0.24.0/22 | 10.0.24.1 to 10.0.27.254 | 10.0.27.255 | 1,022 |
| 8 | 10.0.28.0/22 | 10.0.28.1 to 10.0.31.254 | 10.0.31.255 | 1,022 |
| 9 | 10.0.32.0/22 | 10.0.32.1 to 10.0.35.254 | 10.0.35.255 | 1,022 |
| 10 | 10.0.36.0/22 | 10.0.36.1 to 10.0.39.254 | 10.0.39.255 | 1,022 |
| 11 | 10.0.40.0/22 | 10.0.40.1 to 10.0.43.254 | 10.0.43.255 | 1,022 |
| 12 | 10.0.44.0/22 | 10.0.44.1 to 10.0.47.254 | 10.0.47.255 | 1,022 |
| 13 | 10.0.48.0/22 | 10.0.48.1 to 10.0.51.254 | 10.0.51.255 | 1,022 |
| 14 | 10.0.52.0/22 | 10.0.52.1 to 10.0.55.254 | 10.0.55.255 | 1,022 |
| 15 | 10.0.56.0/22 | 10.0.56.1 to 10.0.59.254 | 10.0.59.255 | 1,022 |
| 16 | 10.0.60.0/22 | 10.0.60.1 to 10.0.63.254 | 10.0.63.255 | 1,022 |
| 17 | 10.0.64.0/22 | 10.0.64.1 to 10.0.67.254 | 10.0.67.255 | 1,022 |
| 18 | 10.0.68.0/22 | 10.0.68.1 to 10.0.71.254 | 10.0.71.255 | 1,022 |
| 19 | 10.0.72.0/22 | 10.0.72.1 to 10.0.75.254 | 10.0.75.255 | 1,022 |
| 20 | 10.0.76.0/22 | 10.0.76.1 to 10.0.79.254 | 10.0.79.255 | 1,022 |
| 21 | 10.0.80.0/22 | 10.0.80.1 to 10.0.83.254 | 10.0.83.255 | 1,022 |
| 22 | 10.0.84.0/22 | 10.0.84.1 to 10.0.87.254 | 10.0.87.255 | 1,022 |
| 23 | 10.0.88.0/22 | 10.0.88.1 to 10.0.91.254 | 10.0.91.255 | 1,022 |
| 24 | 10.0.92.0/22 | 10.0.92.1 to 10.0.95.254 | 10.0.95.255 | 1,022 |
| 25 | 10.0.96.0/22 | 10.0.96.1 to 10.0.99.254 | 10.0.99.255 | 1,022 |
| 26 | 10.0.100.0/22 | 10.0.100.1 to 10.0.103.254 | 10.0.103.255 | 1,022 |
| 27 | 10.0.104.0/22 | 10.0.104.1 to 10.0.107.254 | 10.0.107.255 | 1,022 |
| 28 | 10.0.108.0/22 | 10.0.108.1 to 10.0.111.254 | 10.0.111.255 | 1,022 |
| 29 | 10.0.112.0/22 | 10.0.112.1 to 10.0.115.254 | 10.0.115.255 | 1,022 |
| 30 | 10.0.116.0/22 | 10.0.116.1 to 10.0.119.254 | 10.0.119.255 | 1,022 |
| 31 | 10.0.120.0/22 | 10.0.120.1 to 10.0.123.254 | 10.0.123.255 | 1,022 |
| 32 | 10.0.124.0/22 | 10.0.124.1 to 10.0.127.254 | 10.0.127.255 | 1,022 |
| 33 | 10.0.128.0/22 | 10.0.128.1 to 10.0.131.254 | 10.0.131.255 | 1,022 |
| 34 | 10.0.132.0/22 | 10.0.132.1 to 10.0.135.254 | 10.0.135.255 | 1,022 |
| 35 | 10.0.136.0/22 | 10.0.136.1 to 10.0.139.254 | 10.0.139.255 | 1,022 |
| 36 | 10.0.140.0/22 | 10.0.140.1 to 10.0.143.254 | 10.0.143.255 | 1,022 |
| 37 | 10.0.144.0/22 | 10.0.144.1 to 10.0.147.254 | 10.0.147.255 | 1,022 |
| 38 | 10.0.148.0/22 | 10.0.148.1 to 10.0.151.254 | 10.0.151.255 | 1,022 |
| 39 | 10.0.152.0/22 | 10.0.152.1 to 10.0.155.254 | 10.0.155.255 | 1,022 |
| 40 | 10.0.156.0/22 | 10.0.156.1 to 10.0.159.254 | 10.0.159.255 | 1,022 |
| 41 | 10.0.160.0/22 | 10.0.160.1 to 10.0.163.254 | 10.0.163.255 | 1,022 |
| 42 | 10.0.164.0/22 | 10.0.164.1 to 10.0.167.254 | 10.0.167.255 | 1,022 |
| 43 | 10.0.168.0/22 | 10.0.168.1 to 10.0.171.254 | 10.0.171.255 | 1,022 |
| 44 | 10.0.172.0/22 | 10.0.172.1 to 10.0.175.254 | 10.0.175.255 | 1,022 |
| 45 | 10.0.176.0/22 | 10.0.176.1 to 10.0.179.254 | 10.0.179.255 | 1,022 |
| 46 | 10.0.180.0/22 | 10.0.180.1 to 10.0.183.254 | 10.0.183.255 | 1,022 |
| 47 | 10.0.184.0/22 | 10.0.184.1 to 10.0.187.254 | 10.0.187.255 | 1,022 |
| 48 | 10.0.188.0/22 | 10.0.188.1 to 10.0.191.254 | 10.0.191.255 | 1,022 |
| 49 | 10.0.192.0/22 | 10.0.192.1 to 10.0.195.254 | 10.0.195.255 | 1,022 |
| 50 | 10.0.196.0/22 | 10.0.196.1 to 10.0.199.254 | 10.0.199.255 | 1,022 |
| 51 | 10.0.200.0/22 | 10.0.200.1 to 10.0.203.254 | 10.0.203.255 | 1,022 |
| 52 | 10.0.204.0/22 | 10.0.204.1 to 10.0.207.254 | 10.0.207.255 | 1,022 |
| 53 | 10.0.208.0/22 | 10.0.208.1 to 10.0.211.254 | 10.0.211.255 | 1,022 |
| 54 | 10.0.212.0/22 | 10.0.212.1 to 10.0.215.254 | 10.0.215.255 | 1,022 |
| 55 | 10.0.216.0/22 | 10.0.216.1 to 10.0.219.254 | 10.0.219.255 | 1,022 |
| 56 | 10.0.220.0/22 | 10.0.220.1 to 10.0.223.254 | 10.0.223.255 | 1,022 |
| 57 | 10.0.224.0/22 | 10.0.224.1 to 10.0.227.254 | 10.0.227.255 | 1,022 |
| 58 | 10.0.228.0/22 | 10.0.228.1 to 10.0.231.254 | 10.0.231.255 | 1,022 |
| 59 | 10.0.232.0/22 | 10.0.232.1 to 10.0.235.254 | 10.0.235.255 | 1,022 |
| 60 | 10.0.236.0/22 | 10.0.236.1 to 10.0.239.254 | 10.0.239.255 | 1,022 |
| 61 | 10.0.240.0/22 | 10.0.240.1 to 10.0.243.254 | 10.0.243.255 | 1,022 |
| 62 | 10.0.244.0/22 | 10.0.244.1 to 10.0.247.254 | 10.0.247.255 | 1,022 |
| 63 | 10.0.248.0/22 | 10.0.248.1 to 10.0.251.254 | 10.0.251.255 | 1,022 |
| 64 | 10.0.252.0/22 | 10.0.252.1 to 10.0.255.254 | 10.0.255.255 | 1,022 |
| 65 | 10.1.0.0/22 | 10.1.0.1 to 10.1.3.254 | 10.1.3.255 | 1,022 |
| 66 | 10.1.4.0/22 | 10.1.4.1 to 10.1.7.254 | 10.1.7.255 | 1,022 |
| 67 | 10.1.8.0/22 | 10.1.8.1 to 10.1.11.254 | 10.1.11.255 | 1,022 |
| 68 | 10.1.12.0/22 | 10.1.12.1 to 10.1.15.254 | 10.1.15.255 | 1,022 |
| 69 | 10.1.16.0/22 | 10.1.16.1 to 10.1.19.254 | 10.1.19.255 | 1,022 |
| 70 | 10.1.20.0/22 | 10.1.20.1 to 10.1.23.254 | 10.1.23.255 | 1,022 |
| 71 | 10.1.24.0/22 | 10.1.24.1 to 10.1.27.254 | 10.1.27.255 | 1,022 |
| 72 | 10.1.28.0/22 | 10.1.28.1 to 10.1.31.254 | 10.1.31.255 | 1,022 |
| 73 | 10.1.32.0/22 | 10.1.32.1 to 10.1.35.254 | 10.1.35.255 | 1,022 |
| 74 | 10.1.36.0/22 | 10.1.36.1 to 10.1.39.254 | 10.1.39.255 | 1,022 |
| 75 | 10.1.40.0/22 | 10.1.40.1 to 10.1.43.254 | 10.1.43.255 | 1,022 |
| 76 | 10.1.44.0/22 | 10.1.44.1 to 10.1.47.254 | 10.1.47.255 | 1,022 |
| 77 | 10.1.48.0/22 | 10.1.48.1 to 10.1.51.254 | 10.1.51.255 | 1,022 |
| 78 | 10.1.52.0/22 | 10.1.52.1 to 10.1.55.254 | 10.1.55.255 | 1,022 |
| 79 | 10.1.56.0/22 | 10.1.56.1 to 10.1.59.254 | 10.1.59.255 | 1,022 |
| 80 | 10.1.60.0/22 | 10.1.60.1 to 10.1.63.254 | 10.1.63.255 | 1,022 |
| 81 | 10.1.64.0/22 | 10.1.64.1 to 10.1.67.254 | 10.1.67.255 | 1,022 |
| 82 | 10.1.68.0/22 | 10.1.68.1 to 10.1.71.254 | 10.1.71.255 | 1,022 |
| 83 | 10.1.72.0/22 | 10.1.72.1 to 10.1.75.254 | 10.1.75.255 | 1,022 |
| 84 | 10.1.76.0/22 | 10.1.76.1 to 10.1.79.254 | 10.1.79.255 | 1,022 |
| 85 | 10.1.80.0/22 | 10.1.80.1 to 10.1.83.254 | 10.1.83.255 | 1,022 |
| 86 | 10.1.84.0/22 | 10.1.84.1 to 10.1.87.254 | 10.1.87.255 | 1,022 |
| 87 | 10.1.88.0/22 | 10.1.88.1 to 10.1.91.254 | 10.1.91.255 | 1,022 |
| 88 | 10.1.92.0/22 | 10.1.92.1 to 10.1.95.254 | 10.1.95.255 | 1,022 |
| 89 | 10.1.96.0/22 | 10.1.96.1 to 10.1.99.254 | 10.1.99.255 | 1,022 |
| 90 | 10.1.100.0/22 | 10.1.100.1 to 10.1.103.254 | 10.1.103.255 | 1,022 |
| 91 | 10.1.104.0/22 | 10.1.104.1 to 10.1.107.254 | 10.1.107.255 | 1,022 |
| 92 | 10.1.108.0/22 | 10.1.108.1 to 10.1.111.254 | 10.1.111.255 | 1,022 |
| 93 | 10.1.112.0/22 | 10.1.112.1 to 10.1.115.254 | 10.1.115.255 | 1,022 |
| 94 | 10.1.116.0/22 | 10.1.116.1 to 10.1.119.254 | 10.1.119.255 | 1,022 |
| 95 | 10.1.120.0/22 | 10.1.120.1 to 10.1.123.254 | 10.1.123.255 | 1,022 |
| 96 | 10.1.124.0/22 | 10.1.124.1 to 10.1.127.254 | 10.1.127.255 | 1,022 |
| 97 | 10.1.128.0/22 | 10.1.128.1 to 10.1.131.254 | 10.1.131.255 | 1,022 |
| 98 | 10.1.132.0/22 | 10.1.132.1 to 10.1.135.254 | 10.1.135.255 | 1,022 |
| 99 | 10.1.136.0/22 | 10.1.136.1 to 10.1.139.254 | 10.1.139.255 | 1,022 |
| 100 | 10.1.140.0/22 | 10.1.140.1 to 10.1.143.254 | 10.1.143.255 | 1,022 |
| 101 | 10.1.144.0/22 | 10.1.144.1 to 10.1.147.254 | 10.1.147.255 | 1,022 |
| 102 | 10.1.148.0/22 | 10.1.148.1 to 10.1.151.254 | 10.1.151.255 | 1,022 |
| 103 | 10.1.152.0/22 | 10.1.152.1 to 10.1.155.254 | 10.1.155.255 | 1,022 |
| 104 | 10.1.156.0/22 | 10.1.156.1 to 10.1.159.254 | 10.1.159.255 | 1,022 |
| 105 | 10.1.160.0/22 | 10.1.160.1 to 10.1.163.254 | 10.1.163.255 | 1,022 |
| 106 | 10.1.164.0/22 | 10.1.164.1 to 10.1.167.254 | 10.1.167.255 | 1,022 |
| 107 | 10.1.168.0/22 | 10.1.168.1 to 10.1.171.254 | 10.1.171.255 | 1,022 |
| 108 | 10.1.172.0/22 | 10.1.172.1 to 10.1.175.254 | 10.1.175.255 | 1,022 |
| 109 | 10.1.176.0/22 | 10.1.176.1 to 10.1.179.254 | 10.1.179.255 | 1,022 |
| 110 | 10.1.180.0/22 | 10.1.180.1 to 10.1.183.254 | 10.1.183.255 | 1,022 |
| 111 | 10.1.184.0/22 | 10.1.184.1 to 10.1.187.254 | 10.1.187.255 | 1,022 |
| 112 | 10.1.188.0/22 | 10.1.188.1 to 10.1.191.254 | 10.1.191.255 | 1,022 |
| 113 | 10.1.192.0/22 | 10.1.192.1 to 10.1.195.254 | 10.1.195.255 | 1,022 |
| 114 | 10.1.196.0/22 | 10.1.196.1 to 10.1.199.254 | 10.1.199.255 | 1,022 |
| 115 | 10.1.200.0/22 | 10.1.200.1 to 10.1.203.254 | 10.1.203.255 | 1,022 |
| 116 | 10.1.204.0/22 | 10.1.204.1 to 10.1.207.254 | 10.1.207.255 | 1,022 |
| 117 | 10.1.208.0/22 | 10.1.208.1 to 10.1.211.254 | 10.1.211.255 | 1,022 |
| 118 | 10.1.212.0/22 | 10.1.212.1 to 10.1.215.254 | 10.1.215.255 | 1,022 |
| 119 | 10.1.216.0/22 | 10.1.216.1 to 10.1.219.254 | 10.1.219.255 | 1,022 |
| 120 | 10.1.220.0/22 | 10.1.220.1 to 10.1.223.254 | 10.1.223.255 | 1,022 |
| 121 | 10.1.224.0/22 | 10.1.224.1 to 10.1.227.254 | 10.1.227.255 | 1,022 |
| 122 | 10.1.228.0/22 | 10.1.228.1 to 10.1.231.254 | 10.1.231.255 | 1,022 |
| 123 | 10.1.232.0/22 | 10.1.232.1 to 10.1.235.254 | 10.1.235.255 | 1,022 |
| 124 | 10.1.236.0/22 | 10.1.236.1 to 10.1.239.254 | 10.1.239.255 | 1,022 |
| 125 | 10.1.240.0/22 | 10.1.240.1 to 10.1.243.254 | 10.1.243.255 | 1,022 |
| 126 | 10.1.244.0/22 | 10.1.244.1 to 10.1.247.254 | 10.1.247.255 | 1,022 |
| 127 | 10.1.248.0/22 | 10.1.248.1 to 10.1.251.254 | 10.1.251.255 | 1,022 |
| 128 | 10.1.252.0/22 | 10.1.252.1 to 10.1.255.254 | 10.1.255.255 | 1,022 |
| 129 | 10.2.0.0/22 | 10.2.0.1 to 10.2.3.254 | 10.2.3.255 | 1,022 |
| 130 | 10.2.4.0/22 | 10.2.4.1 to 10.2.7.254 | 10.2.7.255 | 1,022 |
| 131 | 10.2.8.0/22 | 10.2.8.1 to 10.2.11.254 | 10.2.11.255 | 1,022 |
| 132 | 10.2.12.0/22 | 10.2.12.1 to 10.2.15.254 | 10.2.15.255 | 1,022 |
| 133 | 10.2.16.0/22 | 10.2.16.1 to 10.2.19.254 | 10.2.19.255 | 1,022 |
| 134 | 10.2.20.0/22 | 10.2.20.1 to 10.2.23.254 | 10.2.23.255 | 1,022 |
| 135 | 10.2.24.0/22 | 10.2.24.1 to 10.2.27.254 | 10.2.27.255 | 1,022 |
| 136 | 10.2.28.0/22 | 10.2.28.1 to 10.2.31.254 | 10.2.31.255 | 1,022 |
| 137 | 10.2.32.0/22 | 10.2.32.1 to 10.2.35.254 | 10.2.35.255 | 1,022 |
| 138 | 10.2.36.0/22 | 10.2.36.1 to 10.2.39.254 | 10.2.39.255 | 1,022 |
| 139 | 10.2.40.0/22 | 10.2.40.1 to 10.2.43.254 | 10.2.43.255 | 1,022 |
| 140 | 10.2.44.0/22 | 10.2.44.1 to 10.2.47.254 | 10.2.47.255 | 1,022 |
| 141 | 10.2.48.0/22 | 10.2.48.1 to 10.2.51.254 | 10.2.51.255 | 1,022 |
| 142 | 10.2.52.0/22 | 10.2.52.1 to 10.2.55.254 | 10.2.55.255 | 1,022 |
| 143 | 10.2.56.0/22 | 10.2.56.1 to 10.2.59.254 | 10.2.59.255 | 1,022 |
| 144 | 10.2.60.0/22 | 10.2.60.1 to 10.2.63.254 | 10.2.63.255 | 1,022 |
| 145 | 10.2.64.0/22 | 10.2.64.1 to 10.2.67.254 | 10.2.67.255 | 1,022 |
| 146 | 10.2.68.0/22 | 10.2.68.1 to 10.2.71.254 | 10.2.71.255 | 1,022 |
| 147 | 10.2.72.0/22 | 10.2.72.1 to 10.2.75.254 | 10.2.75.255 | 1,022 |
| 148 | 10.2.76.0/22 | 10.2.76.1 to 10.2.79.254 | 10.2.79.255 | 1,022 |
| 149 | 10.2.80.0/22 | 10.2.80.1 to 10.2.83.254 | 10.2.83.255 | 1,022 |
| 150 | 10.2.84.0/22 | 10.2.84.1 to 10.2.87.254 | 10.2.87.255 | 1,022 |
| 151 | 10.2.88.0/22 | 10.2.88.1 to 10.2.91.254 | 10.2.91.255 | 1,022 |
| 152 | 10.2.92.0/22 | 10.2.92.1 to 10.2.95.254 | 10.2.95.255 | 1,022 |
| 153 | 10.2.96.0/22 | 10.2.96.1 to 10.2.99.254 | 10.2.99.255 | 1,022 |
| 154 | 10.2.100.0/22 | 10.2.100.1 to 10.2.103.254 | 10.2.103.255 | 1,022 |
| 155 | 10.2.104.0/22 | 10.2.104.1 to 10.2.107.254 | 10.2.107.255 | 1,022 |
| 156 | 10.2.108.0/22 | 10.2.108.1 to 10.2.111.254 | 10.2.111.255 | 1,022 |
| 157 | 10.2.112.0/22 | 10.2.112.1 to 10.2.115.254 | 10.2.115.255 | 1,022 |
| 158 | 10.2.116.0/22 | 10.2.116.1 to 10.2.119.254 | 10.2.119.255 | 1,022 |
| 159 | 10.2.120.0/22 | 10.2.120.1 to 10.2.123.254 | 10.2.123.255 | 1,022 |
| 160 | 10.2.124.0/22 | 10.2.124.1 to 10.2.127.254 | 10.2.127.255 | 1,022 |
| 161 | 10.2.128.0/22 | 10.2.128.1 to 10.2.131.254 | 10.2.131.255 | 1,022 |
| 162 | 10.2.132.0/22 | 10.2.132.1 to 10.2.135.254 | 10.2.135.255 | 1,022 |
| 163 | 10.2.136.0/22 | 10.2.136.1 to 10.2.139.254 | 10.2.139.255 | 1,022 |
| 164 | 10.2.140.0/22 | 10.2.140.1 to 10.2.143.254 | 10.2.143.255 | 1,022 |
| 165 | 10.2.144.0/22 | 10.2.144.1 to 10.2.147.254 | 10.2.147.255 | 1,022 |
| 166 | 10.2.148.0/22 | 10.2.148.1 to 10.2.151.254 | 10.2.151.255 | 1,022 |
| 167 | 10.2.152.0/22 | 10.2.152.1 to 10.2.155.254 | 10.2.155.255 | 1,022 |
| 168 | 10.2.156.0/22 | 10.2.156.1 to 10.2.159.254 | 10.2.159.255 | 1,022 |
| 169 | 10.2.160.0/22 | 10.2.160.1 to 10.2.163.254 | 10.2.163.255 | 1,022 |
| 170 | 10.2.164.0/22 | 10.2.164.1 to 10.2.167.254 | 10.2.167.255 | 1,022 |
| 171 | 10.2.168.0/22 | 10.2.168.1 to 10.2.171.254 | 10.2.171.255 | 1,022 |
| 172 | 10.2.172.0/22 | 10.2.172.1 to 10.2.175.254 | 10.2.175.255 | 1,022 |
| 173 | 10.2.176.0/22 | 10.2.176.1 to 10.2.179.254 | 10.2.179.255 | 1,022 |
| 174 | 10.2.180.0/22 | 10.2.180.1 to 10.2.183.254 | 10.2.183.255 | 1,022 |
| 175 | 10.2.184.0/22 | 10.2.184.1 to 10.2.187.254 | 10.2.187.255 | 1,022 |
| 176 | 10.2.188.0/22 | 10.2.188.1 to 10.2.191.254 | 10.2.191.255 | 1,022 |
| 177 | 10.2.192.0/22 | 10.2.192.1 to 10.2.195.254 | 10.2.195.255 | 1,022 |
| 178 | 10.2.196.0/22 | 10.2.196.1 to 10.2.199.254 | 10.2.199.255 | 1,022 |
| 179 | 10.2.200.0/22 | 10.2.200.1 to 10.2.203.254 | 10.2.203.255 | 1,022 |
| 180 | 10.2.204.0/22 | 10.2.204.1 to 10.2.207.254 | 10.2.207.255 | 1,022 |
| 181 | 10.2.208.0/22 | 10.2.208.1 to 10.2.211.254 | 10.2.211.255 | 1,022 |
| 182 | 10.2.212.0/22 | 10.2.212.1 to 10.2.215.254 | 10.2.215.255 | 1,022 |
| 183 | 10.2.216.0/22 | 10.2.216.1 to 10.2.219.254 | 10.2.219.255 | 1,022 |
| 184 | 10.2.220.0/22 | 10.2.220.1 to 10.2.223.254 | 10.2.223.255 | 1,022 |
| 185 | 10.2.224.0/22 | 10.2.224.1 to 10.2.227.254 | 10.2.227.255 | 1,022 |
| 186 | 10.2.228.0/22 | 10.2.228.1 to 10.2.231.254 | 10.2.231.255 | 1,022 |
| 187 | 10.2.232.0/22 | 10.2.232.1 to 10.2.235.254 | 10.2.235.255 | 1,022 |
| 188 | 10.2.236.0/22 | 10.2.236.1 to 10.2.239.254 | 10.2.239.255 | 1,022 |
| 189 | 10.2.240.0/22 | 10.2.240.1 to 10.2.243.254 | 10.2.243.255 | 1,022 |
| 190 | 10.2.244.0/22 | 10.2.244.1 to 10.2.247.254 | 10.2.247.255 | 1,022 |
| 191 | 10.2.248.0/22 | 10.2.248.1 to 10.2.251.254 | 10.2.251.255 | 1,022 |
| 192 | 10.2.252.0/22 | 10.2.252.1 to 10.2.255.254 | 10.2.255.255 | 1,022 |
| 193 | 10.3.0.0/22 | 10.3.0.1 to 10.3.3.254 | 10.3.3.255 | 1,022 |
| 194 | 10.3.4.0/22 | 10.3.4.1 to 10.3.7.254 | 10.3.7.255 | 1,022 |
| 195 | 10.3.8.0/22 | 10.3.8.1 to 10.3.11.254 | 10.3.11.255 | 1,022 |
| 196 | 10.3.12.0/22 | 10.3.12.1 to 10.3.15.254 | 10.3.15.255 | 1,022 |
| 197 | 10.3.16.0/22 | 10.3.16.1 to 10.3.19.254 | 10.3.19.255 | 1,022 |
| 198 | 10.3.20.0/22 | 10.3.20.1 to 10.3.23.254 | 10.3.23.255 | 1,022 |
| 199 | 10.3.24.0/22 | 10.3.24.1 to 10.3.27.254 | 10.3.27.255 | 1,022 |
| 200 | 10.3.28.0/22 | 10.3.28.1 to 10.3.31.254 | 10.3.31.255 | 1,022 |
| 201 | 10.3.32.0/22 | 10.3.32.1 to 10.3.35.254 | 10.3.35.255 | 1,022 |
| 202 | 10.3.36.0/22 | 10.3.36.1 to 10.3.39.254 | 10.3.39.255 | 1,022 |
| 203 | 10.3.40.0/22 | 10.3.40.1 to 10.3.43.254 | 10.3.43.255 | 1,022 |
| 204 | 10.3.44.0/22 | 10.3.44.1 to 10.3.47.254 | 10.3.47.255 | 1,022 |
| 205 | 10.3.48.0/22 | 10.3.48.1 to 10.3.51.254 | 10.3.51.255 | 1,022 |
| 206 | 10.3.52.0/22 | 10.3.52.1 to 10.3.55.254 | 10.3.55.255 | 1,022 |
| 207 | 10.3.56.0/22 | 10.3.56.1 to 10.3.59.254 | 10.3.59.255 | 1,022 |
| 208 | 10.3.60.0/22 | 10.3.60.1 to 10.3.63.254 | 10.3.63.255 | 1,022 |
| 209 | 10.3.64.0/22 | 10.3.64.1 to 10.3.67.254 | 10.3.67.255 | 1,022 |
| 210 | 10.3.68.0/22 | 10.3.68.1 to 10.3.71.254 | 10.3.71.255 | 1,022 |
| 211 | 10.3.72.0/22 | 10.3.72.1 to 10.3.75.254 | 10.3.75.255 | 1,022 |
| 212 | 10.3.76.0/22 | 10.3.76.1 to 10.3.79.254 | 10.3.79.255 | 1,022 |
| 213 | 10.3.80.0/22 | 10.3.80.1 to 10.3.83.254 | 10.3.83.255 | 1,022 |
| 214 | 10.3.84.0/22 | 10.3.84.1 to 10.3.87.254 | 10.3.87.255 | 1,022 |
| 215 | 10.3.88.0/22 | 10.3.88.1 to 10.3.91.254 | 10.3.91.255 | 1,022 |
| 216 | 10.3.92.0/22 | 10.3.92.1 to 10.3.95.254 | 10.3.95.255 | 1,022 |
| 217 | 10.3.96.0/22 | 10.3.96.1 to 10.3.99.254 | 10.3.99.255 | 1,022 |
| 218 | 10.3.100.0/22 | 10.3.100.1 to 10.3.103.254 | 10.3.103.255 | 1,022 |
| 219 | 10.3.104.0/22 | 10.3.104.1 to 10.3.107.254 | 10.3.107.255 | 1,022 |
| 220 | 10.3.108.0/22 | 10.3.108.1 to 10.3.111.254 | 10.3.111.255 | 1,022 |
| 221 | 10.3.112.0/22 | 10.3.112.1 to 10.3.115.254 | 10.3.115.255 | 1,022 |
| 222 | 10.3.116.0/22 | 10.3.116.1 to 10.3.119.254 | 10.3.119.255 | 1,022 |
| 223 | 10.3.120.0/22 | 10.3.120.1 to 10.3.123.254 | 10.3.123.255 | 1,022 |
| 224 | 10.3.124.0/22 | 10.3.124.1 to 10.3.127.254 | 10.3.127.255 | 1,022 |
| 225 | 10.3.128.0/22 | 10.3.128.1 to 10.3.131.254 | 10.3.131.255 | 1,022 |
| 226 | 10.3.132.0/22 | 10.3.132.1 to 10.3.135.254 | 10.3.135.255 | 1,022 |
| 227 | 10.3.136.0/22 | 10.3.136.1 to 10.3.139.254 | 10.3.139.255 | 1,022 |
| 228 | 10.3.140.0/22 | 10.3.140.1 to 10.3.143.254 | 10.3.143.255 | 1,022 |
| 229 | 10.3.144.0/22 | 10.3.144.1 to 10.3.147.254 | 10.3.147.255 | 1,022 |
| 230 | 10.3.148.0/22 | 10.3.148.1 to 10.3.151.254 | 10.3.151.255 | 1,022 |
| 231 | 10.3.152.0/22 | 10.3.152.1 to 10.3.155.254 | 10.3.155.255 | 1,022 |
| 232 | 10.3.156.0/22 | 10.3.156.1 to 10.3.159.254 | 10.3.159.255 | 1,022 |
| 233 | 10.3.160.0/22 | 10.3.160.1 to 10.3.163.254 | 10.3.163.255 | 1,022 |
| 234 | 10.3.164.0/22 | 10.3.164.1 to 10.3.167.254 | 10.3.167.255 | 1,022 |
| 235 | 10.3.168.0/22 | 10.3.168.1 to 10.3.171.254 | 10.3.171.255 | 1,022 |
| 236 | 10.3.172.0/22 | 10.3.172.1 to 10.3.175.254 | 10.3.175.255 | 1,022 |
| 237 | 10.3.176.0/22 | 10.3.176.1 to 10.3.179.254 | 10.3.179.255 | 1,022 |
| 238 | 10.3.180.0/22 | 10.3.180.1 to 10.3.183.254 | 10.3.183.255 | 1,022 |
| 239 | 10.3.184.0/22 | 10.3.184.1 to 10.3.187.254 | 10.3.187.255 | 1,022 |
| 240 | 10.3.188.0/22 | 10.3.188.1 to 10.3.191.254 | 10.3.191.255 | 1,022 |
| 241 | 10.3.192.0/22 | 10.3.192.1 to 10.3.195.254 | 10.3.195.255 | 1,022 |
| 242 | 10.3.196.0/22 | 10.3.196.1 to 10.3.199.254 | 10.3.199.255 | 1,022 |
| 243 | 10.3.200.0/22 | 10.3.200.1 to 10.3.203.254 | 10.3.203.255 | 1,022 |
| 244 | 10.3.204.0/22 | 10.3.204.1 to 10.3.207.254 | 10.3.207.255 | 1,022 |
| 245 | 10.3.208.0/22 | 10.3.208.1 to 10.3.211.254 | 10.3.211.255 | 1,022 |
| 246 | 10.3.212.0/22 | 10.3.212.1 to 10.3.215.254 | 10.3.215.255 | 1,022 |
| 247 | 10.3.216.0/22 | 10.3.216.1 to 10.3.219.254 | 10.3.219.255 | 1,022 |
| 248 | 10.3.220.0/22 | 10.3.220.1 to 10.3.223.254 | 10.3.223.255 | 1,022 |
| 249 | 10.3.224.0/22 | 10.3.224.1 to 10.3.227.254 | 10.3.227.255 | 1,022 |
| 250 | 10.3.228.0/22 | 10.3.228.1 to 10.3.231.254 | 10.3.231.255 | 1,022 |
| 251 | 10.3.232.0/22 | 10.3.232.1 to 10.3.235.254 | 10.3.235.255 | 1,022 |
| 252 | 10.3.236.0/22 | 10.3.236.1 to 10.3.239.254 | 10.3.239.255 | 1,022 |
| 253 | 10.3.240.0/22 | 10.3.240.1 to 10.3.243.254 | 10.3.243.255 | 1,022 |
| 254 | 10.3.244.0/22 | 10.3.244.1 to 10.3.247.254 | 10.3.247.255 | 1,022 |
| 255 | 10.3.248.0/22 | 10.3.248.1 to 10.3.251.254 | 10.3.251.255 | 1,022 |
| 256 | 10.3.252.0/22 | 10.3.252.1 to 10.3.255.254 | 10.3.255.255 | 1,022 |
IPv4 CIDR reference (/0 to /32)
| Prefix | Subnet mask | Wildcard | Addresses | Usable hosts | Size | Typical use |
|---|---|---|---|---|---|---|
| /0 | 0.0.0.0 | 255.255.255.255 | 4,294,967,296 | 4,294,967,294 | 16,777,216 × /24 | |
| /1 | 128.0.0.0 | 127.255.255.255 | 2,147,483,648 | 2,147,483,646 | 8,388,608 × /24 | |
| /2 | 192.0.0.0 | 63.255.255.255 | 1,073,741,824 | 1,073,741,822 | 4,194,304 × /24 | |
| /3 | 224.0.0.0 | 31.255.255.255 | 536,870,912 | 536,870,910 | 2,097,152 × /24 | |
| /4 | 240.0.0.0 | 15.255.255.255 | 268,435,456 | 268,435,454 | 1,048,576 × /24 | |
| /5 | 248.0.0.0 | 7.255.255.255 | 134,217,728 | 134,217,726 | 524,288 × /24 | |
| /6 | 252.0.0.0 | 3.255.255.255 | 67,108,864 | 67,108,862 | 262,144 × /24 | |
| /7 | 254.0.0.0 | 1.255.255.255 | 33,554,432 | 33,554,430 | 131,072 × /24 | |
| /8 | 255.0.0.0 | 0.255.255.255 | 16,777,216 | 16,777,214 | 65,536 × /24 | Old class A; 10.0.0.0/8 |
| /9 | 255.128.0.0 | 0.127.255.255 | 8,388,608 | 8,388,606 | 32,768 × /24 | |
| /10 | 255.192.0.0 | 0.63.255.255 | 4,194,304 | 4,194,302 | 16,384 × /24 | |
| /11 | 255.224.0.0 | 0.31.255.255 | 2,097,152 | 2,097,150 | 8,192 × /24 | |
| /12 | 255.240.0.0 | 0.15.255.255 | 1,048,576 | 1,048,574 | 4,096 × /24 | 172.16.0.0/12 |
| /13 | 255.248.0.0 | 0.7.255.255 | 524,288 | 524,286 | 2,048 × /24 | |
| /14 | 255.252.0.0 | 0.3.255.255 | 262,144 | 262,142 | 1,024 × /24 | |
| /15 | 255.254.0.0 | 0.1.255.255 | 131,072 | 131,070 | 512 × /24 | |
| /16 | 255.255.0.0 | 0.0.255.255 | 65,536 | 65,534 | 256 × /24 | Old class B; 192.168.0.0/16 |
| /17 | 255.255.128.0 | 0.0.127.255 | 32,768 | 32,766 | 128 × /24 | |
| /18 | 255.255.192.0 | 0.0.63.255 | 16,384 | 16,382 | 64 × /24 | |
| /19 | 255.255.224.0 | 0.0.31.255 | 8,192 | 8,190 | 32 × /24 | |
| /20 | 255.255.240.0 | 0.0.15.255 | 4,096 | 4,094 | 16 × /24 | |
| /21 | 255.255.248.0 | 0.0.7.255 | 2,048 | 2,046 | 8 × /24 | |
| /22 | 255.255.252.0 | 0.0.3.255 | 1,024 | 1,022 | 4 × /24 | Large office or guest Wi-Fi (1,022 hosts) |
| /23 | 255.255.254.0 | 0.0.1.255 | 512 | 510 | 2 × /24 | Larger office LAN (510 hosts) |
| /24 | 255.255.255.0 | 0.0.0.255 | 256 | 254 | 1 × /24 | Typical office LAN (old class C) |
| /25 | 255.255.255.128 | 0.0.0.127 | 128 | 126 | 1/2 of a /24 | Smaller LAN or VLAN |
| /26 | 255.255.255.192 | 0.0.0.63 | 64 | 62 | 1/4 of a /24 | Smaller LAN or VLAN |
| /27 | 255.255.255.224 | 0.0.0.31 | 32 | 30 | 1/8 of a /24 | Small VLAN, phones, cameras |
| /28 | 255.255.255.240 | 0.0.0.15 | 16 | 14 | 1/16 of a /24 | Small VLAN, phones, cameras |
| /29 | 255.255.255.248 | 0.0.0.7 | 8 | 6 | 1/32 of a /24 | Small fixed public block (5 usable) |
| /30 | 255.255.255.252 | 0.0.0.3 | 4 | 2 | 1/64 of a /24 | Point-to-point (old style) |
| /31 | 255.255.255.254 | 0.0.0.1 | 2 | 2 | 1/128 of a /24 | Point-to-point link (RFC 3021) |
| /32 | 255.255.255.255 | 0.0.0.0 | 1 | 1 | 1/256 of a /24 | One host |
IPv6 prefix reference
| Prefix | Addresses | /64 LANs | /48 sites | Nibble | Typical use |
|---|---|---|---|---|---|
| /3 | 42,535,295,865,117,307,932,921,825,928,971,026,432 (2^125) | 2,305,843,009,213,693,952 | 35,184,372,088,832 | No | All global unicast (2000::/3) |
| /16 | 5,192,296,858,534,827,628,530,496,329,220,096 (2^112) | 281,474,976,710,656 | 4,294,967,296 | Yes | |
| /20 | 324,518,553,658,426,726,783,156,020,576,256 (2^108) | 17,592,186,044,416 | 268,435,456 | Yes | Large provider allocation (RIPE minimum for some) |
| /29 | 633,825,300,114,114,700,748,351,602,688 (2^99) | 34,359,738,368 | 524,288 | No | RIPE allocation to a provider (often) |
| /32 | 79,228,162,514,264,337,593,543,950,336 (2^96) | 4,294,967,296 | 65,536 | Yes | Provider allocation (RIPE default) |
| /36 | 4,951,760,157,141,521,099,596,496,896 (2^92) | 268,435,456 | 4,096 | Yes | |
| /40 | 309,485,009,821,345,068,724,781,056 (2^88) | 16,777,216 | 256 | Yes | |
| /44 | 19,342,813,113,834,066,795,298,816 (2^84) | 1,048,576 | 16 | Yes | |
| /48 | 1,208,925,819,614,629,174,706,176 (2^80) | 65,536 | 1 | Yes | One site or organisation (RIPE PI / assignment) |
| /52 | 75,557,863,725,914,323,419,136 (2^76) | 4,096 | Yes | ||
| /56 | 4,722,366,482,869,645,213,696 (2^72) | 256 | Yes | Small site or home (common provider assignment) | |
| /60 | 295,147,905,179,352,825,856 (2^68) | 16 | Yes | Some home broadband (16 LANs) | |
| /64 | 18,446,744,073,709,551,616 (2^64) | 1 | Yes | One LAN or VLAN (needed for SLAAC) | |
| /72 | 72,057,594,037,927,936 (2^56) | 1/256 of a /64 | Yes | ||
| /80 | 281,474,976,710,656 (2^48) | 1/65,536 of a /64 | Yes | ||
| /96 | 4,294,967,296 | 1/4,294,967,296 of a /64 | Yes | Embeds an IPv4 address (NAT64) | |
| /112 | 65,536 | 1/281,474,976,710,656 of a /64 | Yes | ||
| /120 | 256 | 1/72,057,594,037,927,936 of a /64 | Yes | ||
| /124 | 16 | 1/1,152,921,504,606,846,976 of a /64 | Yes | ||
| /126 | 4 | 1/4,611,686,018,427,387,904 of a /64 | No | ||
| /127 | 2 | 1/9,223,372,036,854,775,808 of a /64 | No | Point-to-point link (RFC 6164) | |
| /128 | 1 | 1/18,446,744,073,709,551,616 of a /64 | Yes | One host or loopback |
Private and special ranges
IPv4
| Range | Name | What it is |
|---|---|---|
255.255.255.255/32 | Limited broadcast | Every host on the local network |
0.0.0.0/8 | This network | Not routed; 0.0.0.0 means "any address" in settings |
10.0.0.0/8 | Private (RFC 1918) | Office and home networks; not routed on the internet |
100.64.0.0/10 | Shared address space (CGNAT) | Used by providers behind carrier-grade NAT (RFC 6598) |
127.0.0.0/8 | Loopback | This computer |
169.254.0.0/16 | Link-local (APIPA) | Self-assigned when no DHCP server answers |
172.16.0.0/12 | Private (RFC 1918) | Office and home networks; not routed on the internet |
192.0.0.0/24 | IETF protocol assignments | Special uses such as DS-Lite |
192.0.2.0/24 | Documentation (TEST-NET-1) | For examples; never used on a network |
192.88.99.0/24 | 6to4 relay (deprecated) | Formerly anycast for 6to4 |
192.168.0.0/16 | Private (RFC 1918) | Office and home networks; not routed on the internet |
198.18.0.0/15 | Benchmarking | Network equipment testing (RFC 2544) |
198.51.100.0/24 | Documentation (TEST-NET-2) | For examples; never used on a network |
203.0.113.0/24 | Documentation (TEST-NET-3) | For examples; never used on a network |
224.0.0.0/4 | Multicast | One-to-many traffic, such as IPTV and routing protocols |
240.0.0.0/4 | Reserved | Future use; not usable on most systems |
IPv6
| Range | Name | What it is |
|---|---|---|
::/128 | Unspecified | No address; :: means "any address" in settings |
::1/128 | Loopback | This computer |
::ffff:0:0/96 | IPv4-mapped | An IPv4 address written as IPv6 |
64:ff9b::/96 | NAT64 | IPv4 addresses reached through a NAT64 gateway |
100::/64 | Discard only | Traffic sent here is dropped (RFC 6666) |
2001:db8::/32 | Documentation | For examples; never used on a network |
2001::/32 | Teredo | IPv6 tunnelled over IPv4 UDP |
2002::/16 | 6to4 | IPv6 tunnelled over IPv4 (largely retired) |
3fff::/20 | Documentation | For examples (RFC 9637) |
fc00::/7 | Unique local (ULA) | Private IPv6, like RFC 1918; usually fd00::/8 |
fe80::/10 | Link-local | Every IPv6 interface has one; not routed |
ff00::/8 | Multicast | One-to-many traffic; replaces broadcast |
2000::/3 | Global unicast | Public internet addresses |